For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Workplans
    • POSTCreate Workplan
    • GETView Workplan
    • PATCHEdit Workplan
    • DELDelete Workplan
    • GETGet Latest Report
    • GETList Workplans
    • POSTRun Workplan
  • Reports
    • GETList Reports
    • GETGet Report Results
    • POSTCancel Report
  • Admin Usage
    • GETGet User Token Usage
    • GETGet Report Token Usage
    • GETGet Workplan Token Usage
    • GETGet Workplan Usage History
  • Scheduling
    • POSTSet Workplan Schedule
    • GETView Workplan Schedule
    • DELCancel Workplan Schedule
  • Documents
    • POSTUpload File
    • GETList Documents
    • GETGet Document
    • DELDelete Document
    • GETGet Document Content
  • Dataset
    • PUTCreate Macro Dataset
    • POSTUpload Macro Data
    • GETGet Dataset Info
    • GETList Datasets
    • DELDelete Dataset
  • Threads
    • POSTCreate Thread
    • POSTChat In Thread
    • GETGet All Threads
    • GETGet Thread History
    • GETGet Thread Artifact
  • Legacy Endpoints
    • GETGet Agent Dynamic Output
    • GETGet Agent Metadata
    • GETGet All Agents Metadata
    • GETGet Agent Status
    • POSTCreate Agent
    • GETGet Agent Output
    • GETGet Agent Usage History
    • POSTEnable Agent Automation
    • POSTDisable Agent Automation
    • POSTSet Agent Schedule
    • POSTRerun Agents Latest Plan
    • GETGet Custom Document Details
    • GETList Custom Docs
    • POSTAdd Custom Docs
    • PUTCustom Data Create Macro Dataset
    • POSTCustom Data Upload Macro Data
    • GETCustom Data Get Dataset Info
    • GETCustom Data List Datasets
    • DELCustom Data Delete Dataset
LogoLogo
Admin Usage

Get Workplan Usage History

GET
https://alfa.boosted.ai/client/v2/workplans/get-workplan-usage-history/:workplan_id/:from_date
GET
/client/v2/workplans/get-workplan-usage-history/:workplan_id/:from_date
$curl https://alfa.boosted.ai/client/v2/workplans/get-workplan-usage-history/workplan_id/from_date \
> -H "x-api-key: <apiKey>"
1{
2 "workplan_id": "string",
3 "usage_history": [
4 {
5 "date": "string",
6 "report_tokens": 1,
7 "workplan_creation_tokens": 1,
8 "reports_created": 1
9 }
10 ],
11 "reports_created": 1,
12 "total_tokens_used": 1
13}

View the tokens consumed to by a workplan to generate reports starting from a specified date.

This endpoint returns the token usage of a workplan by day, along with the number of reports_created that day and returns the total reports_created and total_tokens_used for the workplan during that timeframe.

Was this page helpful?
Previous

Set Workplan Schedule

Next
Built with

Authentication

x-api-keystring
Enter your API key here.

Path parameters

workplan_idstringRequired
from_datestringRequired

Response

Successful Response
workplan_idstring

The workplan id of the workplan requested/

usage_historylist of objects

A list of entries representing the number of runs and token usage for that time period/

reports_createdinteger

A number that represents the total number of reports created by the workplan between requested start/end dates.

total_tokens_usedinteger

A number that represents the total number of tokens used by the workplan between requested start/end dates.

Errors

422
Unprocessable Entity Error